POST api/TaskSearch
Request Information
URI Parameters
None.
Body Parameters
TaskSearchRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
None. |
|
| pilotId | globally unique identifier |
None. |
|
| materialId | globally unique identifier |
None. |
|
| protocolId | globally unique identifier |
None. |
|
| statusId | globally unique identifier |
None. |
|
| createdDate | date |
None. |
|
| executionDate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"customerId": "82c57744-2319-4ed8-b0e0-e387e9eb7be4",
"pilotId": "4efc2f27-9c56-41f1-841e-374d3ce05b6d",
"materialId": "23c26ef4-87e1-42d2-b109-fd7177d2c0b8",
"protocolId": "4ecca224-6892-4e2b-8473-c0652400516f",
"statusId": "dc77e169-c84a-4e68-8f64-48154866e03b",
"createdDate": "2026-03-20T18:36:24.6011834+00:00",
"executionDate": "2026-03-20T18:36:24.6011834+00:00"
}
text/html
Sample:
{"customerId":"82c57744-2319-4ed8-b0e0-e387e9eb7be4","pilotId":"4efc2f27-9c56-41f1-841e-374d3ce05b6d","materialId":"23c26ef4-87e1-42d2-b109-fd7177d2c0b8","protocolId":"4ecca224-6892-4e2b-8473-c0652400516f","statusId":"dc77e169-c84a-4e68-8f64-48154866e03b","createdDate":"2026-03-20T18:36:24.6011834+00:00","executionDate":"2026-03-20T18:36:24.6011834+00:00"}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Collection of Task| Name | Description | Type | Additional information |
|---|---|---|---|
| taskId | globally unique identifier |
None. |
|
| customerId | globally unique identifier |
None. |
|
| fieldId | globally unique identifier |
None. |
|
| materialId | globally unique identifier |
None. |
|
| protocolId | globally unique identifier |
None. |
|
| statusId | globally unique identifier |
None. |
|
| createdDate | date |
None. |
|
| executionDate | date |
None. |
|
| executionTeam | string |
None. |
|
| pilotId | globally unique identifier |
None. |
|
| approvedExecutionDate | date |
None. |
|
| approvedStatusId | globally unique identifier |
None. |
|
| scheduledDate | date |
None. |
|
| scheduledTeam | string |
None. |
|
| executionStatusId | globally unique identifier |
None. |
|
| Customer | Customer |
None. |
|
| Material | Material |
None. |
|
| Pilot | Pilot |
None. |
|
| Status | Status |
None. |
|
| Field | Field |
None. |
|
| Protocol | Protocol |
None. |
|
| ApprovedStatus | Status |
None. |
|
| ExecutionStatus | Status |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"taskId": "ca1a6c39-a58f-41f7-aa71-753f34b5b017",
"customerId": "11d7eea4-b57c-429d-af32-b5ce0df449f1",
"fieldId": "05236624-cd20-46d2-826e-d4447694441a",
"materialId": "e5e4cc53-81c3-474b-b5f7-3c3c7cdaea0d",
"protocolId": "84aae92e-3bcb-4cf0-a960-33ddf8e8d3f0",
"statusId": "1561bb4b-4343-40ab-bf5b-a36002d8a135",
"createdDate": "2026-03-20T18:36:24.6011834+00:00",
"executionDate": "2026-03-20T18:36:24.6011834+00:00",
"executionTeam": "sample string 8",
"pilotId": "ca54a206-f85e-41da-a7d9-9826c4b07ad5",
"approvedExecutionDate": "2026-03-20T18:36:24.6011834+00:00",
"approvedStatusId": "0914c59d-d584-486b-91a5-1ccc6ac56811",
"scheduledDate": "2026-03-20T18:36:24.6011834+00:00",
"scheduledTeam": "sample string 9",
"executionStatusId": "08ea65be-0b1e-4e4b-ba37-60c04ad455c1",
"Customer": {
"customerId": "2d9ae7ba-1bf4-4342-b6bd-59282ce14e6b",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:36:24.6011834+00:00"
},
"Material": {
"materialId": "a7cc920c-58f0-4841-bdb3-e3c40c736edd",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
},
"Pilot": {
"pilotId": "816dcc91-5e33-47db-9990-ab1e85e05885",
"name": "sample string 2",
"pilotTypeId": "7aa16a98-78d2-4576-9cbd-60ae54d9d3ca",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:36:24.6011834+00:00",
"PilotType": {
"pilotTypeId": "012949b5-94b5-4e27-89e8-2a177303245e",
"name": "sample string 2"
}
},
"Status": {
"statusId": "e606ee9b-af99-4f65-9b4c-fa3e79cc325e",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
},
"Field": {
"fieldId": "47168cbf-a626-45d2-91e2-a09fe0353359",
"customerId": "9c35f775-09f3-442d-9c1b-78ee4900cf9f",
"coordinates": "sample string 3",
"cropName": "sample string 4",
"plotNumber": "sample string 5",
"plantingYear": 1,
"createdDate": "2026-03-20T18:36:24.6011834+00:00",
"fullyLoaded": true,
"moagId": "sample string 6",
"isDeleted": true,
"areaSquareMeters": 1.1,
"Customer": {
"customerId": "2d9ae7ba-1bf4-4342-b6bd-59282ce14e6b",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:36:24.6011834+00:00"
}
},
"Protocol": {
"protocolId": "603e3ba8-921e-422b-9338-3acd20df4e6a",
"name": "sample string 2",
"materialId": "46b2300c-c2d5-470d-800e-21398990caf1",
"marginSpace": 4.1,
"rowSpace": 5.1,
"dunamVolume": 1.1,
"activeIngredientVolume": 1.1,
"waterVolume": 1.1,
"createdDate": "2026-03-20T18:36:24.6011834+00:00",
"payloadId": "c3de0e9b-9d8d-4b1e-a281-7abb277291da",
"nozzle": "sample string 6",
"Material": {
"materialId": "a7cc920c-58f0-4841-bdb3-e3c40c736edd",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
},
"Payload": {
"payloadId": "9900c410-aec4-4da1-8aaa-004167cb880c",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
}
},
"ApprovedStatus": {
"statusId": "e606ee9b-af99-4f65-9b4c-fa3e79cc325e",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
},
"ExecutionStatus": {
"statusId": "e606ee9b-af99-4f65-9b4c-fa3e79cc325e",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
}
},
{
"taskId": "ca1a6c39-a58f-41f7-aa71-753f34b5b017",
"customerId": "11d7eea4-b57c-429d-af32-b5ce0df449f1",
"fieldId": "05236624-cd20-46d2-826e-d4447694441a",
"materialId": "e5e4cc53-81c3-474b-b5f7-3c3c7cdaea0d",
"protocolId": "84aae92e-3bcb-4cf0-a960-33ddf8e8d3f0",
"statusId": "1561bb4b-4343-40ab-bf5b-a36002d8a135",
"createdDate": "2026-03-20T18:36:24.6011834+00:00",
"executionDate": "2026-03-20T18:36:24.6011834+00:00",
"executionTeam": "sample string 8",
"pilotId": "ca54a206-f85e-41da-a7d9-9826c4b07ad5",
"approvedExecutionDate": "2026-03-20T18:36:24.6011834+00:00",
"approvedStatusId": "0914c59d-d584-486b-91a5-1ccc6ac56811",
"scheduledDate": "2026-03-20T18:36:24.6011834+00:00",
"scheduledTeam": "sample string 9",
"executionStatusId": "08ea65be-0b1e-4e4b-ba37-60c04ad455c1",
"Customer": {
"customerId": "2d9ae7ba-1bf4-4342-b6bd-59282ce14e6b",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:36:24.6011834+00:00"
},
"Material": {
"materialId": "a7cc920c-58f0-4841-bdb3-e3c40c736edd",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
},
"Pilot": {
"pilotId": "816dcc91-5e33-47db-9990-ab1e85e05885",
"name": "sample string 2",
"pilotTypeId": "7aa16a98-78d2-4576-9cbd-60ae54d9d3ca",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:36:24.6011834+00:00",
"PilotType": {
"pilotTypeId": "012949b5-94b5-4e27-89e8-2a177303245e",
"name": "sample string 2"
}
},
"Status": {
"statusId": "e606ee9b-af99-4f65-9b4c-fa3e79cc325e",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
},
"Field": {
"fieldId": "47168cbf-a626-45d2-91e2-a09fe0353359",
"customerId": "9c35f775-09f3-442d-9c1b-78ee4900cf9f",
"coordinates": "sample string 3",
"cropName": "sample string 4",
"plotNumber": "sample string 5",
"plantingYear": 1,
"createdDate": "2026-03-20T18:36:24.6011834+00:00",
"fullyLoaded": true,
"moagId": "sample string 6",
"isDeleted": true,
"areaSquareMeters": 1.1,
"Customer": {
"customerId": "2d9ae7ba-1bf4-4342-b6bd-59282ce14e6b",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:36:24.6011834+00:00"
}
},
"Protocol": {
"protocolId": "603e3ba8-921e-422b-9338-3acd20df4e6a",
"name": "sample string 2",
"materialId": "46b2300c-c2d5-470d-800e-21398990caf1",
"marginSpace": 4.1,
"rowSpace": 5.1,
"dunamVolume": 1.1,
"activeIngredientVolume": 1.1,
"waterVolume": 1.1,
"createdDate": "2026-03-20T18:36:24.6011834+00:00",
"payloadId": "c3de0e9b-9d8d-4b1e-a281-7abb277291da",
"nozzle": "sample string 6",
"Material": {
"materialId": "a7cc920c-58f0-4841-bdb3-e3c40c736edd",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
},
"Payload": {
"payloadId": "9900c410-aec4-4da1-8aaa-004167cb880c",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
}
},
"ApprovedStatus": {
"statusId": "e606ee9b-af99-4f65-9b4c-fa3e79cc325e",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
},
"ExecutionStatus": {
"statusId": "e606ee9b-af99-4f65-9b4c-fa3e79cc325e",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:24.6011834+00:00"
}
}
]
text/html
Sample:
[{"taskId":"ca1a6c39-a58f-41f7-aa71-753f34b5b017","customerId":"11d7eea4-b57c-429d-af32-b5ce0df449f1","fieldId":"05236624-cd20-46d2-826e-d4447694441a","materialId":"e5e4cc53-81c3-474b-b5f7-3c3c7cdaea0d","protocolId":"84aae92e-3bcb-4cf0-a960-33ddf8e8d3f0","statusId":"1561bb4b-4343-40ab-bf5b-a36002d8a135","createdDate":"2026-03-20T18:36:24.6011834+00:00","executionDate":"2026-03-20T18:36:24.6011834+00:00","executionTeam":"sample string 8","pilotId":"ca54a206-f85e-41da-a7d9-9826c4b07ad5","approvedExecutionDate":"2026-03-20T18:36:24.6011834+00:00","approvedStatusId":"0914c59d-d584-486b-91a5-1ccc6ac56811","scheduledDate":"2026-03-20T18:36:24.6011834+00:00","scheduledTeam":"sample string 9","executionStatusId":"08ea65be-0b1e-4e4b-ba37-60c04ad455c1","Customer":{"customerId":"2d9ae7ba-1bf4-4342-b6bd-59282ce14e6b","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:36:24.6011834+00:00"},"Material":{"materialId":"a7cc920c-58f0-4841-bdb3-e3c40c736edd","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"},"Pilot":{"pilotId":"816dcc91-5e33-47db-9990-ab1e85e05885","name":"sample string 2","pilotTypeId":"7aa16a98-78d2-4576-9cbd-60ae54d9d3ca","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:36:24.6011834+00:00","PilotType":{"pilotTypeId":"012949b5-94b5-4e27-89e8-2a177303245e","name":"sample string 2"}},"Status":{"statusId":"e606ee9b-af99-4f65-9b4c-fa3e79cc325e","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"},"Field":{"fieldId":"47168cbf-a626-45d2-91e2-a09fe0353359","customerId":"9c35f775-09f3-442d-9c1b-78ee4900cf9f","coordinates":"sample string 3","cropName":"sample string 4","plotNumber":"sample string 5","plantingYear":1,"createdDate":"2026-03-20T18:36:24.6011834+00:00","fullyLoaded":true,"moagId":"sample string 6","isDeleted":true,"areaSquareMeters":1.1,"Customer":{"customerId":"2d9ae7ba-1bf4-4342-b6bd-59282ce14e6b","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:36:24.6011834+00:00"}},"Protocol":{"protocolId":"603e3ba8-921e-422b-9338-3acd20df4e6a","name":"sample string 2","materialId":"46b2300c-c2d5-470d-800e-21398990caf1","marginSpace":4.1,"rowSpace":5.1,"dunamVolume":1.1,"activeIngredientVolume":1.1,"waterVolume":1.1,"createdDate":"2026-03-20T18:36:24.6011834+00:00","payloadId":"c3de0e9b-9d8d-4b1e-a281-7abb277291da","nozzle":"sample string 6","Material":{"materialId":"a7cc920c-58f0-4841-bdb3-e3c40c736edd","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"},"Payload":{"payloadId":"9900c410-aec4-4da1-8aaa-004167cb880c","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"}},"ApprovedStatus":{"statusId":"e606ee9b-af99-4f65-9b4c-fa3e79cc325e","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"},"ExecutionStatus":{"statusId":"e606ee9b-af99-4f65-9b4c-fa3e79cc325e","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"}},{"taskId":"ca1a6c39-a58f-41f7-aa71-753f34b5b017","customerId":"11d7eea4-b57c-429d-af32-b5ce0df449f1","fieldId":"05236624-cd20-46d2-826e-d4447694441a","materialId":"e5e4cc53-81c3-474b-b5f7-3c3c7cdaea0d","protocolId":"84aae92e-3bcb-4cf0-a960-33ddf8e8d3f0","statusId":"1561bb4b-4343-40ab-bf5b-a36002d8a135","createdDate":"2026-03-20T18:36:24.6011834+00:00","executionDate":"2026-03-20T18:36:24.6011834+00:00","executionTeam":"sample string 8","pilotId":"ca54a206-f85e-41da-a7d9-9826c4b07ad5","approvedExecutionDate":"2026-03-20T18:36:24.6011834+00:00","approvedStatusId":"0914c59d-d584-486b-91a5-1ccc6ac56811","scheduledDate":"2026-03-20T18:36:24.6011834+00:00","scheduledTeam":"sample string 9","executionStatusId":"08ea65be-0b1e-4e4b-ba37-60c04ad455c1","Customer":{"customerId":"2d9ae7ba-1bf4-4342-b6bd-59282ce14e6b","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:36:24.6011834+00:00"},"Material":{"materialId":"a7cc920c-58f0-4841-bdb3-e3c40c736edd","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"},"Pilot":{"pilotId":"816dcc91-5e33-47db-9990-ab1e85e05885","name":"sample string 2","pilotTypeId":"7aa16a98-78d2-4576-9cbd-60ae54d9d3ca","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:36:24.6011834+00:00","PilotType":{"pilotTypeId":"012949b5-94b5-4e27-89e8-2a177303245e","name":"sample string 2"}},"Status":{"statusId":"e606ee9b-af99-4f65-9b4c-fa3e79cc325e","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"},"Field":{"fieldId":"47168cbf-a626-45d2-91e2-a09fe0353359","customerId":"9c35f775-09f3-442d-9c1b-78ee4900cf9f","coordinates":"sample string 3","cropName":"sample string 4","plotNumber":"sample string 5","plantingYear":1,"createdDate":"2026-03-20T18:36:24.6011834+00:00","fullyLoaded":true,"moagId":"sample string 6","isDeleted":true,"areaSquareMeters":1.1,"Customer":{"customerId":"2d9ae7ba-1bf4-4342-b6bd-59282ce14e6b","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:36:24.6011834+00:00"}},"Protocol":{"protocolId":"603e3ba8-921e-422b-9338-3acd20df4e6a","name":"sample string 2","materialId":"46b2300c-c2d5-470d-800e-21398990caf1","marginSpace":4.1,"rowSpace":5.1,"dunamVolume":1.1,"activeIngredientVolume":1.1,"waterVolume":1.1,"createdDate":"2026-03-20T18:36:24.6011834+00:00","payloadId":"c3de0e9b-9d8d-4b1e-a281-7abb277291da","nozzle":"sample string 6","Material":{"materialId":"a7cc920c-58f0-4841-bdb3-e3c40c736edd","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"},"Payload":{"payloadId":"9900c410-aec4-4da1-8aaa-004167cb880c","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"}},"ApprovedStatus":{"statusId":"e606ee9b-af99-4f65-9b4c-fa3e79cc325e","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"},"ExecutionStatus":{"statusId":"e606ee9b-af99-4f65-9b4c-fa3e79cc325e","name":"sample string 2","createdDate":"2026-03-20T18:36:24.6011834+00:00"}}]